Vulnerability CVE-2021-32610


Published: 2021-07-30

Description:
In Archive_Tar before 1.4.14, symlinks can refer to targets outside of the extracted archive, a different vulnerability than CVE-2020-36193.

Type:

CWE-59

(Improper Link Resolution Before File Access ('Link Following'))

CVSS2 => (AV:L/AC:L/Au:N/C:P/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
3.6/10
4.9/10
3.9/10
Exploit range
Attack complexity
Authentication
Local
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
None
Affected software
PHP -> Archive tar 
Fedoraproject -> Fedora 
Debian -> Debian linux 

 References:
https://github.com/pear/Archive_Tar/releases/tag/1.4.14
https://lists.debian.org/debian-lts-announce/2021/07/msg00023.html
https://www.drupal.org/sa-core-2021-004
https://github.com/pear/Archive_Tar/commit/b5832439b1f37331fb4f87e67fe4f
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/G5LTY6COQYNMMHQJ3QIOJHEWCKD4XDFH/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/CAODVMHGL5MHQWQAQTXQ7G7OE3VQZ7LS/

Copyright 2022, cxsecurity.com

 

Back to Top